# Finding narrow admissible tuples

### From Polymath1Wiki

(Added column for k0=341,640) |
(added column for k0=7,140) |
||

Line 133: | Line 133: | ||

{| border=1 | {| border=1 | ||

|- | |- | ||

- | !<math>k_0</math>!! 3,500,000 !! 341,640 !! 181,000 !! 34,429 !! 26,024 !! 23,283 !! 22,949 !! 10,719 !! 6,329 !! 5,453 !! 5,000 | + | !<math>k_0</math>!! 3,500,000 !! 341,640 !! 181,000 !! 34,429 !! 26,024 !! 23,283 !! 22,949 !! 10,719 !! 7,140 !! 6,329 !! 5,453 !! 5,000 |

|- | |- | ||

! Upper bounds | ! Upper bounds | ||

Line 146: | Line 146: | ||

| 270,698 | | 270,698 | ||

| 117,714 | | 117,714 | ||

+ | | 75,222 | ||

| 65,924 | | 65,924 | ||

| 55,892 | | 55,892 | ||

Line 159: | Line 160: | ||

| [http://math.mit.edu/~drew/admissible_22949_264460.txt 264,460] | | [http://math.mit.edu/~drew/admissible_22949_264460.txt 264,460] | ||

| [http://math.mit.edu/~drew/admissible_10719_114814.txt 114,814] | | [http://math.mit.edu/~drew/admissible_10719_114814.txt 114,814] | ||

+ | | [http://math.mit.edu/~drew/admissible_7140_73448.txt 73,448] | ||

| [http://math.mit.edu/~drew/admissible_6329_64182.txt 64,182] | | [http://math.mit.edu/~drew/admissible_6329_64182.txt 64,182] | ||

| [http://math.mit.edu/~drew/admissible_5453_54488.txt 54,488] | | [http://math.mit.edu/~drew/admissible_5453_54488.txt 54,488] | ||

Line 172: | Line 174: | ||

| [http://math.mit.edu/~drew/admissible_22949_258780.txt 258,780] | | [http://math.mit.edu/~drew/admissible_22949_258780.txt 258,780] | ||

| [http://math.mit.edu/~drew/admissible_10719_112868.txt 112,868] | | [http://math.mit.edu/~drew/admissible_10719_112868.txt 112,868] | ||

+ | | [http://math.mit.edu/~drew/admissible_7140_72538.txt 72,538] | ||

| [http://math.mit.edu/~drew/admissible_6329_63708.txt 63,708] | | [http://math.mit.edu/~drew/admissible_6329_63708.txt 63,708] | ||

| [http://math.mit.edu/~drew/admissible_5453_53654.txt 53,654] | | [http://math.mit.edu/~drew/admissible_5453_53654.txt 53,654] | ||

Line 185: | Line 188: | ||

| [http://math.mit.edu/~drew/admissible_22949_258302.txt 258,302] | | [http://math.mit.edu/~drew/admissible_22949_258302.txt 258,302] | ||

| [http://math.mit.edu/~drew/admissible_10719_112562.txt 112,562] | | [http://math.mit.edu/~drew/admissible_10719_112562.txt 112,562] | ||

+ | | [http://math.mit.edu/~drew/admissible_7140_72062.txt 72,062] | ||

| [http://math.mit.edu/~drew/admissible_6329_62900.txt 62,900] | | [http://math.mit.edu/~drew/admissible_6329_62900.txt 62,900] | ||

| [http://math.mit.edu/~drew/admissible_5453_53278.txt 53,278] | | [http://math.mit.edu/~drew/admissible_5453_53278.txt 53,278] | ||

Line 198: | Line 202: | ||

| [http://math.mit.edu/~drew/admissible_22949_256702.txt 256,702] | | [http://math.mit.edu/~drew/admissible_22949_256702.txt 256,702] | ||

| [http://math.mit.edu/~drew/admissible_10719_112200.txt 112,200] | | [http://math.mit.edu/~drew/admissible_10719_112200.txt 112,200] | ||

+ | | [http://math.mit.edu/~drew/admissible_7140_71930.txt 71,930] | ||

| [http://math.mit.edu/~drew/admissible_6329_62892.txt 62,892] | | [http://math.mit.edu/~drew/admissible_6329_62892.txt 62,892] | ||

| [http://math.mit.edu/~drew/admissible_5453_53236.txt 53,236] | | [http://math.mit.edu/~drew/admissible_5453_53236.txt 53,236] | ||

Line 211: | Line 216: | ||

| [http://math.mit.edu/~drew/admissible_22949_249992.txt 249,992] | | [http://math.mit.edu/~drew/admissible_22949_249992.txt 249,992] | ||

| [http://math.mit.edu/~drew/admissible_10719_108694.txt 108,694] | | [http://math.mit.edu/~drew/admissible_10719_108694.txt 108,694] | ||

+ | | [http://math.mit.edu/~drew/admissible_7140_69564.txt 69,564] | ||

| [http://math.mit.edu/~drew/admissible_6329_60942.txt 60,942] | | [http://math.mit.edu/~drew/admissible_6329_60942.txt 60,942] | ||

| [http://math.mit.edu/~drew/admissible_5453_51688.txt 51,688] | | [http://math.mit.edu/~drew/admissible_5453_51688.txt 51,688] | ||

Line 224: | Line 230: | ||

| [http://www.cs.cmu.edu/~xfxie/project/admissible/admissible_22949_248816_262.txt 248,816] | | [http://www.cs.cmu.edu/~xfxie/project/admissible/admissible_22949_248816_262.txt 248,816] | ||

| [http://www.cs.cmu.edu/~xfxie/project/admissible/admissible_10719_108450_-116422.txt 108,450] | | [http://www.cs.cmu.edu/~xfxie/project/admissible/admissible_10719_108450_-116422.txt 108,450] | ||

+ | | [http://math.mit.edu/~drew/admissible_7140_69280.txt 69,280] | ||

| [http://www.cs.cmu.edu/~xfxie/project/admissible/admissible_6329_60726_14.txt 60,726] | | [http://www.cs.cmu.edu/~xfxie/project/admissible/admissible_6329_60726_14.txt 60,726] | ||

| [http://math.mit.edu/~drew/admissible_5453_51526.txt 51,526] | | [http://math.mit.edu/~drew/admissible_5453_51526.txt 51,526] | ||

Line 239: | Line 246: | ||

| 253,381 | | 253,381 | ||

| 110,119 | | 110,119 | ||

+ | | 70,496 | ||

| 61,727 | | 61,727 | ||

| 52,371 | | 52,371 | ||

Line 254: | Line 262: | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23953 193,420] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23953 193,420] | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23925 85,878] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23925 85,878] | ||

+ | | | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-24008 49,464] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-24008 49,464] | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-24037 41,860] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-24037 41,860] | ||

Line 267: | Line 276: | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 156,614] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 156,614] | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-24015 73,094] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-24015 73,094] | ||

+ | | | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-24015 43,130] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-24015 43,130] | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-24037 37,224] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-24037 37,224] | ||

Line 280: | Line 290: | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 151,298] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 151,298] | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 66,314] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 66,314] | ||

+ | | | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23950 37,274] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23950 37,274] | ||

| 31,644 | | 31,644 | ||

Line 293: | Line 304: | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 151,056] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 151,056] | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 66,211] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 66,211] | ||

+ | | | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23950 37,207] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23950 37,207] | ||

| 31,584 | | 31,584 | ||

Line 306: | Line 318: | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 146,393] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 146,393] | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 63,917] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 63,917] | ||

+ | | | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23950 35,903] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23950 35,903] | ||

| 30,478 | | 30,478 | ||

Line 319: | Line 332: | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 146,338] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 146,338] | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 63,886] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23896 63,886] | ||

+ | | | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23950 35,887] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23950 35,887] | ||

| 30,463 | | 30,463 | ||

Line 332: | Line 346: | ||

| 135,599 | | 135,599 | ||

| 58,863 | | 58,863 | ||

+ | | | ||

| 32,916 | | 32,916 | ||

| 27,910 | | 27,910 | ||

Line 350: | Line 365: | ||

| 55,149 | | 55,149 | ||

[http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23906 55,178] | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23906 55,178] | ||

+ | | | ||

| [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23950 30,982] | | [http://sbseminar.wordpress.com/2013/06/05/more-narrow-admissible-sets/#comment-23950 30,982] | ||

| 26,388 | | 26,388 |

## Revision as of 14:20, 25 August 2013

For any natural number *k*_{0}, an *admissible k_{0}-tuple* is a finite set of integers of cardinality

*k*

_{0}which avoids at least one residue class modulo

*p*for each prime

*p*. (Note that one only needs to check those primes

*p*of size at most

*k*

_{0}, so this is a finitely checkable condition.) Let

*H*(

*k*

_{0}) denote the minimal diameter of an admissible

*k*

_{0}-tuple. As part of the Polymath8 project, we would like to find as good an upper bound on

*H*(

*k*

_{0}) as possible for given values of

*k*

_{0}. To a lesser extent, we would also be interested in lower bounds on this quantity. There is some scattered numerical evidence that the optimal value of H is roughly of size

*k*

_{0}log

*k*

_{0}+

*k*

_{0}for

*k*

_{0}in the range of interest.

## Contents |

## Upper bounds

Upper bounds are primarily constructed through various "sieves" that delete one residue class modulo *p* from an interval for a lot of primes *p*. Examples of sieves, in roughly increasing order of efficiency, are listed below.

### Zhang sieve

The Zhang sieve uses the tuple

where *m* is minimized subject to staying admissible. Any *m* with *p*_{m + 1} > *k*_{0} yields an admissible tuple; in particular, one can just take to be the first *k*_{0} primes past *k*_{0}, but this is not optimal. Applying the prime number theorem then gives the upper bound .

### Hensley-Richards sieve

The Hensley-Richards sieve [HR1973], [HR1973b], [R1974] uses the tuple

where m is optimised to minimize the diameter while staying admissible.

### Asymmetric Hensley-Richards sieve

The asymmetric Hensley-Richard sieve uses the tuple

where *i* is an integer and *i*,*m* are optimised to minimize the diameter while staying admissible.

### Schinzel sieve

Given 0 < *y* < *z* < *x*, the Schinzel sieve (discussed in [S1961], [HR1973], [GR1998], [CJ2001]) sieves the interval [1,*x*] by 1mod *p* for primes and by 0mod *p* for primes . Provided that *z* is large enough (*z* = *k*_{0} clearly suffices), the first *k*_{0} survivors form an admissible *k*_{0}-tuple (but not necessarily the narrowest one in the interval).
The case *y* = 1 corresponds to a sieve of Eratosthenes; if one minimizes *z* and takes the first *k*_{0} survivors greater than 1, this yields the same admissible *k*_{0} tuple as Zhang, with the minimal possible value of *m*.

### Shifted Schinzel sieve

As a generalization of the Schinzel sieve, one may instead sieve shifted intervals [*s*,*s* + *x*]. This is effectively equivalent to sieving the interval [0,*x*] of the residue classes for primes and for primes .

### Greedy sieve

Within a given interval, one sieves a single residue class *a*mod *p* for increasing primes , with *a* chosen to maximize the number of survivors. Ties can be broken in a number of ways: minimize , maximize , minimize , or randomly. If not all residue classes modulo *p* are occupied by survivors, then *a* will be chosen so that no survivors are sieved.
This necessarily occurs once *p* exceeds the number of survivors but typically happens much sooner. One then chooses the narrowest *k*_{0}-tuple among the survivors (if there are fewer than *k*_{0} survivors, retry with a wider interval).

### Greedy-greedy sieve

Heuristically, the performance of the greedy sieve is significantly improved by starting with a shifted Schinzel sieve on using *y* = 2 and and then continuing in a greedy fashion, as proposed by Sutherland. One first optimizes the shift value *s* over some larger interval (e.g. ) and then continues the sieving over primes *p* > *z* greedily choosing the best residue class for each prime according to a chosen tie-breaking rule (in Sutherland's original implementation, ties are broken downward in ).

### Seeded greedy sieve

Given an initial sequence that is known to contain an admissible *k*_{0}-tuple, one can apply greedy sieving to the minimal interval containing until an admissible sequence of survivors remains, and then choose the narrowest *k*_{0}=tuple it contains. The sieving methods above can be viewed as the special case where is the set of integers in some interval. The main difference is that the choice of affects when ties occur and how they are broken with greedy sieving.
One approach is to take to be the union of two *k*_{0}-tuples that lie in roughly the same interval (see Iterated merging) below.

### Iterated merging

Given an admissible *k*_{0}-tuple , one can attempt to improve it using an iterated merging approach suggested by Castryck. One first uses a greedy (or greedy-Schinzel) sieve to construct an admissible *k*_{0}-tuple in roughly the same interval as , then performs a randomized greedy sieve using the seed set to obtain an admissible *k*_{0}-tuple . If is narrower than , replace with , otherwise try again with a new .
Eventually the diameter of will become less than or equal to that of .
As long as , one can continue to attempt to improve , but in practice one stops after some number of retries.

As described by Sutherland, one can then replace with and begin the process anew, yielding a randomized algorithm that can be run indefinitely. Key parameters to this algorithm are the choice of the interval used when constructing , which is typically made wider than the minimal interval containing by a small factor δ on each side (Sutherland suggests δ = 0.0025), and the number of failed attempts allowed while attempting to impove .

Eventually this process will tend to converge to particular that it cannot improve (or more generally, a set of similar 's with the same diameter). Interleaving iterated merging with the local optimizations described below often allows the algorithm to make further progress.

Iterated merging can be viewed as a form of simulated annealing. The set initially contains at least two admissible *k*_{0}-tuples (typically many more), and as the algorithm proceeds the set converges toward and the number of admissible *k*_{0}-tuples it contains declines. One can regard the cardinality of the difference between and as a measure of the "temperature" of a gradually cooling system, since the number of choices available to the algorithm declines as this cardinality is reduced (more precisely, one may consider the entropy of the possible sequence of tie-breaking choices available for a given ).

### Local optimizations

Let be an admissible *k*_{0}-tuple with endpoints *h*_{1} and , and let be the interval . If there exists an integer such that removing one of 's endpoints and inserting *h* yields an admissible *k*_{0}-tuple , then call *contractible*, and if not, say that non-contractible. Note that necessarily has smaller diameter than . Any of the sieving methods described above may produce admissible *k*_{0}-tuples that are contractible, so it is worth testing for contractibility as a post-processing step after sieving and replacing by if this test succeeds.

We can also *shift* to the left by removing its right end point and replacing it with the greatest integer *h*_{0} < *h*_{1} that yields an admissible *k*_{0}-tuple , and we can similarly shift to the right. The diameter of need not be less than , but if it is, it provides a useful replacement. More generally, by shifting repeatedly we can produce a sequence of admissible *k*_{0}-tuples that lie successively further to the left or right. In general the diameter of these tuples may grow as we do so, but it will also occasionally decline, and we may be able to find a shifted with smaller diameter than .

A more sophisticated local optimization involves a process of ``adjustment" proposed by Savitt.
Let be an admissible *k*_{0}-tuple.
For a prime *p* and an integer *a*, let [*a*;*p*] denote the residue class *a*mod *p*, i.e. the set of integers {*x*:*x* = *a*mod *p*}.
Call [*a*;*p*] occupied if it contains an element of .

Suppose that [*a*;*p*] and [*b*;*q*] are occupied residue classes, for some distinct primes *p* and *q*, and that [*a*';*p*] and [*b*';*q*] are unoccupied.
Let be the intersection of with , and let be a subset of the integers that lie in the intersection of the interval *I* containing *H* and the set such that
the set formed by removing the elements of from and adding the elements of is admissible.
A necessary (and often sufficient) condition for and integer *v* to lie in is that *v* must not lie in a residue class [*c*;*r*] that is the unique unoccupied residue class modulo *r* for any prime *r* other than *p* or *q*.

The admissible set lies in the interval containing , so its diameter is no greater than that of , however its cardinality may differ. If it happens that contains more elements than , then by eliminating points at either end of we obtain an admissible *k*_{0}-tuple that is narrower than and may ``adjust" by replacing it with .
The process of adjustment can often be applied repeatedly, yielding a sequence of successively narrower admissible *k*_{0}-tuples.

### Further refinements

## Lower bounds

There is a substantial amount of literature on bounding the quantity π(*x* + *y*) − π(*x*), the number of primes in a shifted interval [*x* + 1,*x* + *y*], where *x*,*y* are natural numbers. As a general rule, whenever a bound of the form

- (*)

is established for some function *F*(*y*) of *y*, the method of proof also gives a bound of the form

- (**)

Indeed, if one assumes the prime tuples conjecture, any admissible *k*_{0}-tuple of diameter *H* can be translated into an interval of the form [*x* + 1,*x* + *H* + 1] for some *x*. In the opposite direction, all known bounds of the form (*) proceed by using the fact that for *x* > *y*, the set of primes between *x* + 1 and *x* + *y* is admissible, so the method of proof of (*) invariably also gives (**) as well.

Examples of lower bounds are as follows;

### Brun-Titchmarsh inequality

The Brun-Titchmarsh theorem gives

which then gives the lower bound

- .

Montgomery and Vaughan deleted the o(1) error from the Brun-Titchmarsh theorem [MV1973, Corollary 2], giving the more precise inequality

### First Montgomery-Vaughan large sieve inequality

The first Montgomery-Vaughan large sieve inequality [MV1973, Theorem 1] gives

for any *Q* > 1, which is a parameter that one can optimise over (the optimal value is comparable to *H*(*k*_{0})^{1 / 2}).

### Second Montgomery-Vaughan large sieve inequality

The second Montgomery-Vaughan large sieve inequality [MV1973, Corollary 1] gives

for any *z* > 1, which is a parameter similar to *Q* in the previous inequality, and *c* is an absolute constant. In the original paper of Montgomery and Vaughan, *c* was taken to be 3 / 2; this was then reduced to [B1995, p.162] and then to 3.2 / π [M1978]. It is conjectured that *c* can be taken to in fact be 1.

## Benchmarks

Efforts to fill in the blank fields in this table are very welcome.

k_{0} | 4,000 | 3,405 | 3,000 | 2,000 | 1,783 | 1,000 | 672 | 632 | 342 |
---|---|---|---|---|---|---|---|---|---|

Upper bounds | |||||||||

First k_{0} primes past k_{0}
| 39,660 | 33,222 | 28,972 | 18,386 | 16,174 | 8,424 | 5,406 | 5,028 | 2,472 |

Zhang sieve | 38,596 | 32,296 | 28,008 | 17,766 | 15,620 | 8,218 | 5,216 | 4,860 | 2,416 |

Hensley-Richards sieve | 38,498 | 31,820 | 27,806 | 17,726 | 15,756 | 8,258 | 5,314 | 4,918 | 2,446 |

Asymmetric Hensley-Richards | 37,932 | 31,762 | 27,638 | 17,676 | 15,470 | 8,168 | 5,220 | 4,876 | 2,424 |

Shifted Schinzel sieve | 38,006 | 31,910 | 27,600 | 17,554 | 15,484 | 8,072 | 5,196 | 4,868 | 2,416 |

Greedy-greedy sieve | 36,756 | 30,750 | 26,754 | 17,054 | 15,036 | 7,854 | 5,030 | 4,710 | 2,350 |

Engelsma data | 36,622 | 30,606 | 26,622 | 16,978 | 14,958 | 7,802 | 4,998 | 4,680 | 2,328 |

Best known tuple | 36,610 | 30,600 | 26,606 | 16,978 | 14,950 | 7,802 | 4,998 | 4,680
| 2,328 |

Predictions | |||||||||

k_{0}logk_{0} + k_{0}
| 37,176 | 31,098 | 27,019 | 17,202 | 15,131 | 7,907 | 5,046 | 4,708 | 2,338 |

Lower bounds | |||||||||

Inclusion-exclusion | 29,746 | 21,884 | 14,082 | ||||||

Partitioning | 27,248 | 23,244 | 20,434 | 13,620 | 12,062 | 6,802 | 4,574 | 4,268 | 2,328 |

MV with c = 1 (conjectural)
| 22,564 | 18,898 | 16,456 | 10,500 | 4,858 | 3,124 | 1,454 | ||

MV with c = 3.2 / π
| 22,523 | 18,866 | 16,428 | 10,480 | 4,847 | 3,118 | 1,450 | ||

MV with | 21,701 | 18,153 | 15,758 | 10,061 | 4,648 | 2,979 | 1,361 | ||

Second Montgomery-Vaughan | 21,690 | 18,143 | 15,751 | 10,056 | 4,645 | 2,977 | 1,360 | ||

Brun-Titchmarsh | 19,785 | 16,536 | 14,358 | 9,118 | 4,167 | 2,648 | 1,214 | ||

First Montgomery-Vaughan | 18,768 | 15,783 | 13,696 | 8,448 | 3,959 | 2,558 | 1,191 |

The **bold number** indicates the best currently known result for a twin-prime-like theorem.

For the Zhang tuples the minimal *m* that produced an admissible *k*_{0}-tuple was used. In some cases one can achieve a smaller diameter using an *m* that is slightly larger than the minimal admissible value, as noted here.

The shifted Schinzel tuples were generated with *y* = 2 using an optimally chosen interval contained in [ − *k*_{0}log*k*_{0},2*k*_{0}log*k*_{0}] (the interval is not in every case guaranteed to be optimal, particularly for larger values of *k*_{0}, but it is believed to be so).

The greedy-greedy tuples were generated using Sutherland's original algorithm, breaking ties downward in every case (and the optimal interval in [ − *k*_{0}log*k*_{0},2*k*_{0}log*k*_{0}] was selected on this basis).
As noted by Castryck, breaking ties upward may produce better results in some cases.

The lower bounds listed under in the inclusion-exclusion and partitioning rows due to Avishay and computed as described in this document (the case *k*_{0}=342 corresponds to the trivial partition).